> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/api-reference/welcome.md).

# Welcome

## Introduction

Vectra provides API documentation on both a live site and via .pdf as of today.

The [Vectra REST API Documentation Website](https://apidocs.vectra.ai/) houses the live API documentation site today with the ability to download the API specs in .yaml form and also try live queries against your Vectra tenant.

Vectra plans to migrate that content to this documentation site in a future update to further consolidate documentation here on [docs.vectra.ai](https://docs.vectra.ai/).

Links to the existing PDF documentation are in the table of contents on the left side of your page. Clicking on these links will take you to where these documents live now in the main documentation branch.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vectra.ai/api-reference/welcome.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
